package com.seer.teach.mall.convert;

import com.seer.teach.mall.entity.CategoryEntity;
import com.seer.teach.mall.response.CategoryResp;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

@Mapper
public interface CategoryConvert {

    CategoryConvert INSTANCE = Mappers.getMapper(CategoryConvert.class);

    CategoryResp one(CategoryEntity category);

    List<CategoryResp> list(List<CategoryEntity> list);
}
